description: 'LTTng-UST git repo to checkout the UST id'
- string:
name: 'ROOTFS_URL'
- default: 'https://obj.internal.efficios.com/lava/rootfs/rootfs_amd64_jammy_2023-05-18.tar.gz'
+ default: 'https://obj.internal.efficios.com/lava/rootfs_amd64_bookworm_2024-01-12.tar.gz'
description: 'The URL at which the system root FS can be downloaded'
- string:
name: 'LTTNG_CI_REPO'
'python3-pip',
'python3-setuptools',
'python3-sphinx',
+ 'rsync',
'stress',
'swig',
+ 'systemd-timesyncd',
+ 'systemtap-sdt-dev',
'texinfo',
'tree',
'uuid-dev',
def main():
parser = argparse.ArgumentParser(description='Generate lava lttng rootfs')
parser.add_argument("--arch", default='amd64')
- parser.add_argument("--distribution", default='jammy')
- parser.add_argument("--mirror", default='http://archive.ubuntu.com/ubuntu')
+ parser.add_argument("--distribution", default='bookworm')
+ parser.add_argument("--mirror", default='https://deb.debian.org/debian')
parser.add_argument(
- "--component", default='universe,multiverse,main,restricted')
+ "--component", default='main')
args = parser.parse_args()
name = "rootfs_{}_{}_{}".format(args.arch, args.distribution,
LTTNG_VERSION_STRING: "invalid_version_string"
run:
steps:
- - apt install -y curl
- git clone "${CI_REPO}" --branch="${CI_BRANCH}" ci
- export TMPDIR="/tmp"
- mkdir -p /tmp/coredump
- source /root/lttngvenv/activate
- pushd /root/lttngvenv/src/lttng-tools
- lava-test-case build-test-suite --shell "make"
- - systemctl stop systemd-timesyncd.service
- lava-test-case run-tests --shell "$(dirs -l +1)/ci/scripts/system-tests/run-test-suites.sh ${LTTNG_VERSION_STRING}"
- - systemctl start systemd-timesyncd.service
- popd
LTTNG_VERSION_STRING: "invalid_version_string"
run:
steps:
- - apt install -y libpfm4-dev curl
- git clone "${CI_REPO}" --branch="${CI_BRANCH}" ci
- export TMPDIR="/tmp"
- mkdir -p /tmp/coredump
name: x86-env-setup
description: "Basic environment setup for x86 board"
os:
+ - debian
- ubuntu
devices:
- x86
run:
steps:
- chmod 755 /
- - systemctl start systemd-timesyncd
- echo nameserver 172.18.0.13 > /etc/resolv.conf
- ip a
- groupadd tracing
- depmod -a
- - locale-gen en_US.UTF-8
- apt-get update
- apt-get upgrade
- - apt-get install -y systemtap-sdt-dev openssh-server
- - pip3 install 'pip==20.3'
+ - pip3 install vlttng --break-system-packages
- hash -r
- - pip3 install vlttng
- git clone "${CI_REPO}" --branch="${CI_BRANCH}" ci
- mkdir -p /root/.ssh
- chmod 700 /root/.ssh
parser.add_argument('-d', '--debug', required=False, action='store_true')
parser.add_argument(
'-r', '--rootfs-url', required=False,
- default="https://obj.internal.efficios.com/lava/rootfs/rootfs_amd64_jammy_2023-05-18.tar.gz"
+ default="https://obj.internal.efficios.com/lava/rootfs_amd64_bookworm_2024-01-12.tar.gz"
)
parser.add_argument('--ci-repo', required=False, default='https://github.com/lttng/lttng-ci.git')
parser.add_argument('--ci-branch', required=False, default='master')
[ "$res" -ne "0" ]
}
+function cleanup
+{
+ timedatectl set-ntp true
+}
+
+trap cleanup EXIT SIGINT SIGTERM
+
lttng_version="$1"
failed_tests=0
export LTTNG_ENABLE_DESTRUCTIVE_TESTS="will-break-my-system"
+timedatectl set-ntp false
+# When make check is interrupted, the default test driver
+# (`config/test-driver`) will still delete the log and trs
+# files for the currently running test.
+#
timeout 90m make --keep-going check || failed_tests=1
if [ -f "./tests/root_regression" ]; then
cd "./tests" || exit 1
- prove --nocolor --verbose --merge --exec '' - < root_regression || failed_tests=1
+ prove --nocolor --verbose --merge --exec '' - < root_regression || failed_tests=2
cd ..
fi
# should be retained until lttng-tools 2.13 is no longer supported
if [ -f "./tests/root_destructive_tests" ]; then
cd "./tests" || exit 1
- prove --nocolor --verbose --merge --exec '' - < root_destructive_tests || failed_tests=2
+ prove --nocolor --verbose --merge --exec '' - < root_destructive_tests || failed_tests=3
cd ..
else
echo 'root_destructive_tests not found'
find tests/ -iname '*.trs' -print0 -or -iname '*.log' -print0 | tar czf /tmp/coredump/logs.tgz --null -T -
fi
+timedatectl set-ntp true
exit $failed_tests
name: vlttng-env-setup
description: "Configure virtualenv for vlttng"
os:
+ - debian
- ubuntu
devices:
- x86